<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:cc="http://xmlns.jcp.org/jsf/composite"
	>
	<cc:interface>
		<cc:attribute name="width" required="true" type="java.lang.Integer" />
		<cc:attribute name="height" required="true" type="java.lang.Integer" />
		<cc:attribute name="preview" required="false" default="" />
	</cc:interface>
	<cc:implementation>
		<table>
			<tr>
				<td>
					<div id="#{cc.attrs.clientId}:i" class="i_clickIcon i_info_trans"></div>
				</td>
				<td>
					<div id="#{cc.attrs.clientId}:p">
						<h:outputText value="#{cc.attrs.preview}..." />
					</div>
					<div id="#{cc.attrs.clientId}:t">
						<cc:insertChildren />
					</div> <script type="text/javascript">
            $(document).ready(function() {
              $("[id='#{cc.attrs.clientId}:t']").toggle();
              $("[id='#{cc.attrs.clientId}:i']").hover(function() {
                $("[id='#{cc.attrs.clientId}:t']").toggle();
                $("[id='#{cc.attrs.clientId}:p']").toggle();
              });
            });
          </script>
				</td>
			</tr>
		</table>
	</cc:implementation>
</ui:composition>